#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

try:
    from cmk.gui.plugins.views.inventory import (
        declare_invtable_view,
        render_inv_dicttable,
    )
except:
    pass

inventory_displayhints.update({
    '.hardware.components.huawei:': {'title': _('Huawei'), 'render': render_inv_dicttable,
                                     'keyorder': ['index', 'name', 'description', 'board_type', 'serial_number',
                                                  'manufactured_date', 'vendor',
                                                  ],
                                     'view': 'invhuawei_components_of_host',
                                     },
    '.hardware.components.huawei:*.index': {'title': _('Index'), },
    '.hardware.components.huawei:*.name': {'title': _('Name')},
    '.hardware.components.huawei:*.description': {'title': _('Description'), },
    '.hardware.components.huawei:*.bom_id': {'title': _('BOM ID'), },
    '.hardware.components.huawei:*.bom_decription': {'title': _('BOM Description')},
    '.hardware.components.huawei:*.manufactured_date': {'title': _('Manufactured Date')},
    '.hardware.components.huawei:*.board_type': {'title': _('Board Type'), },
    '.hardware.components.huawei:*.software_revision': {'title': _('Software Revision'), },
    '.hardware.components.huawei:*.firmware_revision': {'title': _('Firmware Revision'), },
    '.hardware.components.huawei:*.hardware_revision': {'title': _('Hardware Revision'), },
    '.hardware.components.huawei:*.serial_number': {'title': _('Serial Number'), },
    '.hardware.components.huawei:*.vendor': {'title': _('Vendor'), },

})

declare_invtable_view('invhuawei_components', '.hardware.components.huawei:', _('Huawei hardware components'),
                      _('Huawei hardware components'))
